<?php

class AdminController extends Controller
{

	public $layout='//layouts/backend/template';

	public function actionError()
	{
		if($error=Yii::app()->errorHandler->error)
		{
			if(Yii::app()->request->isAjaxRequest)
				echo $error['message'];
			else
				$this->render('error', $error);
		}
	}

	public function actionIndex()
	{
		$this->actionLogin();
	}

	public function actionLogin(){
		
		$this->layout ='//layouts/backend/login-template';

		$login = new Admin;
		$login->scenario ='login';
		if(isset($_POST['Admin']))
		{
			$login->attributes = $_POST['Admin'];

			if($login->validate() && $login->login())
			{
				Yii::app()->user->setFlash('success', 'You have logged in successfully. ');
				$this->redirect(Common::admincreateUrl('dashboard'));
			}

		}

		$this->render('index',array('login' => $login));
	}

	public function actionDashboard(){
		
		$cdate = date('Y-m-d',strtotime(date("Y-m-d")));
		$total_pendings = (Common::getCountValue('InoutTransactions','pcit_exit_status=0') !== null) ? Common::getCountValue('InoutTransactions','pcit_exit_status=0'):'0';
		$total_trasactions = (Common::getCountValue('InoutTransactions','1=1')) ? Common::getCountValue('InoutTransactions','1=1') : '0';
		$total_revenues = (Common::getTotalValue('pcit_amount','InoutTransactions','1=1')!== null) ? Common::getTotalValue('pcit_amount','InoutTransactions','1=1') : '0';
		$total_incomes = (Common::getTotalValue('pcit_charges','InoutTransactions','1=1')!== null) ? Common::getTotalValue('pcit_charges','InoutTransactions','1=1') : '0';
		$total_monthly_incomes = (Common::getTotalValue('pcit_charges','InoutTransactions','pcit_createddate="'.$cdate.'"')!== null) ? Common::getTotalValue('pcit_charges','InoutTransactions','pcit_createddate="'.$cdate.'"') : '0';
		$this->render('dashboard',array('total_pending' => $total_pendings,'total_monthly_income' => $total_monthly_incomes, 'total_tras' => $total_trasactions,'total_reven' => $total_revenues,'total_income' => $total_incomes));
	}

	public function actionProfile(){

		$profile = Admin::model()->findByPk(1);
		$profile->scenario ='update';
		if(isset($_POST['Admin'])){
			
			$profile->attributes=$_POST['Admin'];
			
			if($profile->validate())
			{
				if($profile->save()){

					Yii::app()->user->setFlash('success', 'Profile updated successfully. ');
					$this->redirect(Common::admincreateUrl('profile'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Profile could not be updated successfully. ');
					$this->redirect(Common::admincreateUrl('profile'));
				} 
			}
		}
		$this->render('profile',array('profile' => $profile));
	}


	public function actionChangePassword(){

		$change = Admin::model()->findByPk(1);
		$change->scenario ='PasswordUpdate';
		if(isset($_POST['Admin'])){
			
			$change->attributes=$_POST['Admin'];
			
			if($change->validate())
			{
				if($change->save()){

					Yii::app()->user->setFlash('success', 'Password updated successfully. ');
					$this->actionlogout();
				} else {
					
					Yii::app()->user->setFlash('danger', 'Password could not be updated successfully. ');
					$this->redirect(Common::admincreateUrl('changepassword'));
				} 
			}
		}
		$this->render('change_password',array('change' => $change));
	}

	public function actionSetting(){

		$setting = Settings::model()->findByPk(1);

		if(isset($_POST['Settings'])){
			
			$setting->attributes=$_POST['Settings'];

			if($setting->validate())
			{
				if($setting->attributes['pcs_authorization_type']){
					$Status = array('0'=>'Authorize Only','1'=>'Authorize & Settle');
					$setting->pcs_authorization_type = $Status[$setting->attributes['pcs_authorization_type']];
				}
				
				if($setting->save(false)){
					Yii::app()->user->setFlash('success', 'Settings Information updated successfully. ');
					$this->redirect(Common::admincreateUrl('setting'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Settings Information could not be updated successfully. ');
					$this->redirect(Common::admincreateUrl('setting'));
				} 
			} 
		}
		$this->render('setting',array('setting' => $setting));
	}


	public function actionaddagent(){

		$Agentdetails = new Agents();
		$Agentdetails->scenario='addAgents';
		
		if(isset($_POST['Agents'])){
			
			$Agentdetails->attributes=$_POST['Agents'];
			if($Agentdetails->validate())
			{
				$password = uniqid();
				$password = substr($password, 2,8);
				$Agentdetails->pca_opensource = $password; 
				
				if($Agentdetails->save()){

					$userid = Yii::app()->db->getLastInsertID();
					$userdata = new User;
					$userdata->user_email = $Agentdetails->pcag_email;
					$userdata->user_password = md5($password);
					$userdata->user_opensource = $password;
					$userdata->user_type = 3;
					$userdata->user_userid = $userid;
					$userdata->user_status = 1;
					$userdata->user_activestatus = 1;
					$userdata->save(false);

					Yii::app()->user->setFlash('success', 'Agent Information saved successfully. ');
					$this->redirect(Common::admincreateUrl('agentlist'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Agent Information could not be saved successfully. ');
					$this->redirect(Common::admincreateUrl('agentlist'));
				} 
			} else{
				echo '<pre>';
				print_r($Agentdetails); exit;
			}
		}
		$this->render('agentform',array('model' => $Agentdetails));
	}

	public function actionEditAgentDetails($id){

		$Agentdetails = Agents::model()->findByPk($id);
		$Agentdetails->scenario='updateAgents';
		
		if(isset($_POST['Agents'])){
			
			$Agentdetails->attributes=$_POST['Agents'];

			if($Agentdetails->validate())
			{

				if($Agentdetails->update()){

					Yii::app()->user->setFlash('success', 'Agent Information updated successfully. ');
					$this->redirect(Common::admincreateUrl('agentlist'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Agent Information could not be updated successfully. ');
					$this->redirect(Common::admincreateUrl('agentlist'));
				} 
			} 
		}
		$this->render('agentform',array('model' => $Agentdetails));
	}


	public function actionViewAgentDetails($id){

		$Agentdetails = Agents::model()->findByPk($id);
		
		$this->render('viewagentdetails',array('model' => $Agentdetails));
	}

	public function actionAgentList(){

		$Agentdetails = new Agents('admin_agent_search');
		$Agentdetails->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 Agentdetails::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Agent Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['Agents']))
			$Agentdetails->attributes=$_GET['Agents'];

		$this->render('agentlist', array('Agentdetails'=> $Agentdetails));
	}

	public function actionAgentdetailsdelete($id){

		Agents::model()->deleteByPk($id);
	}



	/*public function actionaddregulator(){

		$regulatordetails = new Regulators();
		$regulatordetails->scenario='addRegulators';
		
		if(isset($_POST['Regulators'])){
			
			$regulatordetails->attributes=$_POST['Regulators'];
			if($regulatordetails->validate())
			{
				$password = uniqid();
				$password = substr($password, 2,8);
				$regulatordetails->pca_opensource = $password; 
				
				if($regulatordetails->save()){

					$userid = Yii::app()->db->getLastInsertID();
					$userdata = new User;
					$userdata->user_email = $regulatordetails->pcrg_email;
					$userdata->user_password = md5($password);
					$userdata->user_opensource = $password;
					$userdata->user_type = 4;
					$userdata->user_userid = $userid;
					$userdata->user_status = 1;
					$userdata->user_activestatus = 1;
					$userdata->save(false);

					Yii::app()->user->setFlash('success', 'Regulator Information saved successfully. ');
					$this->redirect(Common::admincreateUrl('regulatorslist'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Regulator Information could not be saved successfully. ');
					$this->redirect(Common::admincreateUrl('regulatorslist'));
				} 
			} 
		}
		$this->render('regulatorform',array('model' => $regulatordetails));
	}

	*/

	public function actionEditregulatordetails(){

		$id = 2;
		$regulatordetails = Regulators::model()->findByPk($id);
		$regulatordetails->scenario='updateRegulators';
		
		if(isset($_POST['Regulators'])){
			
			$regulatordetails->attributes=$_POST['Regulators'];

			if($regulatordetails->validate())
			{

				if($regulatordetails->update()){

					Yii::app()->user->setFlash('success', 'Regulator Information updated successfully. ');
					$this->redirect(Common::admincreateUrl('dashboard'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Regulator Information could not be updated successfully. ');
					$this->redirect(Common::admincreateUrl('dashboard'));
				} 
			} 
		}
		$this->render('regulatorform',array('model' => $regulatordetails));
	}

 /*
	public function actionViewregulatordetails($id){

		$regulatordetails = Regulators::model()->findByPk($id);
		
		$this->render('viewregulatordetails',array('model' => $regulatordetails));
	}

	public function actionregulatorslist(){

		$regulatordetails = new Regulators('admin_regulator_search');
		$regulatordetails->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 regulatordetails::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Regulator Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['Regulators']))
			$regulatordetails->attributes=$_GET['Regulators'];

		$this->render('regulatorlist', array('regulatordetails'=> $regulatordetails));
	}

	public function actionregulatordetailsdelete($id){

		Regulators::model()->deleteByPk($id);
	}
*/
	public function actionEditUserDetails($id){

		$Userdetails = Userdetails::model()->findByPk($id);
		$Userdetails->scenario='updateUsers';
		
		if(isset($_POST['Userdetails'])){
			
			$Userdetails->attributes=$_POST['Userdetails'];


			if($Userdetails->validate())
			{

				if($Userdetails->update()){

					Yii::app()->user->setFlash('success', 'User Information updated successfully. ');
					$this->redirect(Common::admincreateUrl('userlist'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'User Information could not be updated successfully. ');
					$this->redirect(Common::admincreateUrl('userlist'));
				} 
			} 
		}
		$this->render('userdetails',array('model' => $Userdetails));
	}

	public function actionViewUserDetails($id){

		$Userdetails = Userdetails::model()->findByPk($id);
		$cards = Cards::model()->findAll('pcc_userid = ?',array($id));
		
		$this->render('viewuserdetails',array('model' => $Userdetails,'cards' => $cards));
	}

	public function actionUserList(){

		$Userdetails = new Userdetails('admin_user_search');
		$Userdetails->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 Userdetails::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," User Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['Userdetails']))
			$Userdetails->attributes=$_GET['Userdetails'];

		$this->render('userlist', array('Userdetails'=> $Userdetails));
	}

	public function actionUserdetailsdelete($id){

		Userdetails::model()->deleteByPk($id);
	}

	public function actionDepositedetailsdelete($id){

		Transactions::model()->deleteByPk($id);
	}

	public function actionEditdepositedetails($id){

		$transactions = Transactions::model()->findByPk($id);
		$transactions->scenario='updateTrans';
		
		if(isset($_POST['Transactions'])){
			
			$transactions->attributes=$_POST['Transactions'];
			
			if($transactions->validate())
			{

				if($transactions->update()){

					Yii::app()->user->setFlash('success', 'Transactions Information updated successfully. ');
					$this->redirect(Common::admincreateUrl('transactionlist'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Transactions Information could not be updated successfully. ');
					$this->redirect(Common::admincreateUrl('transactionlist'));
				} 
			}
		}
		$this->render('transactionform',array('model' => $transactions));
	}

	public function actionTransactionlist(){

		$model = new Transactions('admin_transactions_search');
		$model->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 Transactions::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Transactions Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['Transactions']))
			$model->attributes=$_GET['Transactions'];

		$this->render('transactionlist', array('model'=> $model));
	}

	public function actionsendrequestmoneylist(){

		$model = new InoutTransactions('admin_send_request_money_search');
		$model->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 InoutTransactions::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Transactions Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['InoutTransactions']))
			$model->attributes=$_GET['InoutTransactions'];

		$this->render('sendrequestmoneylist', array('model'=> $model));
	}


	public function actiontransactiondetailsdelete($id){

		Transactions::model()->deleteByPk($id);
	}

	public function actionprocessingfeeform(){
		
		$processfee = new ProcessingFee;
		if(isset($_POST['ProcessingFee']))
		{
			$processfee->attributes = $_POST['ProcessingFee'];

			if($processfee->validate())
			{
				if($processfee->save())
				{
					Yii::app()->user->setFlash('success', 'You have added successfully.');
					$this->redirect(Common::admincreateUrl('processingfeelist'));
				} else {
					Yii::app()->user->setFlash('danger', 'You could not complete this process.');
					$this->redirect(Common::admincreateUrl('processingfeelist'));
				}
			}

		}

		$this->render('processingfeeform',array('model' => $processfee));
	}

	public function actionEditprocessingfee($id){

		$processfee = ProcessingFee::model()->findByPk($id);
		
		if(isset($_POST['ProcessingFee'])){
			
			$processfee->attributes=$_POST['ProcessingFee'];
			
			if($processfee->validate())
			{
				if($processfee->update(false)){
					Yii::app()->user->setFlash('success', 'Processing Fee Information updated successfully. ');
					$this->redirect(Common::admincreateUrl('processingfeelist'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Processing Fee Information could not be updated successfully. ');
					$this->redirect(Common::admincreateUrl('processingfeelist'));
				} 
			}
		}
		$this->render('processingfeeform',array('model' => $processfee));
	}
	

	public function actionprocessingfeelist(){

		$model = new ProcessingFee;
		$model->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 ProcessingFee::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Processing Fee Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['ProcessingFee']))
			$model->attributes=$_GET['ProcessingFee'];

		$this->render('processingfeelist', array('model'=> $model));
	}

	public function actiontransactionfeedelete($id){

		$processingfee = ProcessingFee::model()->findByPk($id);
		if($processingfee===null)
			$this->redirect(Common::admincreateUrl('processingfeelist'));
		ProcessingFee::model()->deleteByPk($id);
	}

	public function actionwithdrawfeeform(){
		
		$model = new WithdrawFee;
		if(isset($_POST['WithdrawFee']))
		{
			$model->attributes = $_POST['WithdrawFee'];

			if($model->validate())
			{
				if($model->save())
				{
					Yii::app()->user->setFlash('success', 'You have added successfully.');
					$this->redirect(Common::admincreateUrl('withdrawfeelist'));
				} else {
					Yii::app()->user->setFlash('danger', 'You could not complete this process.');
					$this->redirect(Common::admincreateUrl('withdrawfeelist'));
				}
			}

		}

		$this->render('withdrawfeeform',array('model' => $model));
	}

	public function actionEditwithdrawfee($id){

		$model = WithdrawFee::model()->findByPk($id);
		
		if(isset($_POST['WithdrawFee'])){
			
			$model->attributes=$_POST['WithdrawFee'];
			
			if($model->validate())
			{
				if($model->update(false)){
					Yii::app()->user->setFlash('success', 'Withdraw Fee Information updated successfully. ');
					$this->redirect(Common::admincreateUrl('withdrawfeelist'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Withdraw Fee Information could not be updated successfully. ');
					$this->redirect(Common::admincreateUrl('withdrawfeelist'));
				} 
			}
		}
		$this->render('withdrawfeeform',array('model' => $model));
	}
	

	public function actionwithdrawfeelist(){

		$model = new WithdrawFee;
		$model->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 WithdrawFee::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Withdraw Fee Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['WithdrawFee']))
			$model->attributes=$_GET['WithdrawFee'];

		$this->render('withdrawfeelist', array('model'=> $model));
	}

	public function actionwithdrawfeedelete($id){

		$withdrawfee = WithdrawFee::model()->findByPk($id);
		if($withdrawfee===null)
			$this->redirect(Common::admincreateUrl('withdrawfeelist'));
		WithdrawFee::model()->deleteByPk($id);
	}


	public function actioncurrencyform(){
		
		$model = new Currency;
		if(isset($_POST['Currency']))
		{
			$model->attributes = $_POST['Currency'];

			if($model->validate())
			{
				if($model->save())
				{
					Yii::app()->user->setFlash('success', 'You have added successfully.');
					$this->redirect(Common::admincreateUrl('currencylist'));
				} else {
					Yii::app()->user->setFlash('danger', 'You could not complete this process.');
					$this->redirect(Common::admincreateUrl('currencylist'));
				}
			}

		}

		$this->render('currencyform',array('model' => $model));
	}

	public function actionEditcurrency($id){

		$model = Currency::model()->findByPk($id);
		
		if(isset($_POST['Currency'])){
			
			$model->attributes=$_POST['Currency'];
			
			if($model->validate())
			{
				if($model->update(false)){
					Yii::app()->user->setFlash('success', 'Currency Information updated successfully. ');
					$this->redirect(Common::admincreateUrl('currencylist'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Currency Information could not be updated successfully. ');
					$this->redirect(Common::admincreateUrl('currencylist'));
				} 
			}
		}
		$this->render('currencyform',array('model' => $model));
	}
	

	public function actioncurrencylist(){

		$model = new Currency;
		$model->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 currency::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Currency Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['Currency']))
			$model->attributes=$_GET['Currency'];

		$this->render('currencylist', array('model'=> $model));
	}

	public function actioncurrencydelete($id){

		$currency = Currency::model()->findByPk($id);
		if($currency===null)
			$this->redirect(Common::admincreateUrl('currencylist'));
		currency::model()->deleteByPk($id);
	}

	public function actionminimumfeeform(){
		
		$model = new MinimumTransactions;
		if(isset($_POST['MinimumTransactions']))
		{
			$model->attributes = $_POST['MinimumTransactions'];

			if($model->validate())
			{
				if($model->save())
				{
					Yii::app()->user->setFlash('success', 'You have added successfully.');
					$this->redirect(Common::admincreateUrl('minimumfeelist'));
				} else {
					Yii::app()->user->setFlash('danger', 'You could not complete this process.');
					$this->redirect(Common::admincreateUrl('minimumfeelist'));
				}
			}

		}

		$this->render('minimumfeeform',array('model' => $model));
	}

	public function actionEditminimumfee($id){

		$model = MinimumTransactions::model()->findByPk($id);
		
		if(isset($_POST['MinimumTransactions'])){
			
			$model->attributes=$_POST['MinimumTransactions'];
			
			if($model->validate())
			{
				if($model->update(false)){
					Yii::app()->user->setFlash('success', 'Minimum Fee Information updated successfully. ');
					$this->redirect(Common::admincreateUrl('minimumfeelist'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Minimum Fee Information could not be updated successfully. ');
					$this->redirect(Common::admincreateUrl('minimumfeelist'));
				} 
			}
		}
		$this->render('minimumfeeform',array('model' => $model));
	}
	

	public function actionminimumfeelist(){

		$model = new MinimumTransactions;
		$model->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 MinimumTransactions::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Minimum Fee Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['MinimumTransactions']))
			$model->attributes=$_GET['MinimumTransactions'];

		$this->render('minimumfeelist', array('model'=> $model));
	}

	public function actionminimumfeedelete($id){

		$minimumfee = MinimumTransactions::model()->findByPk($id);
		if($minimumfee===null)
			$this->redirect(Common::admincreateUrl('minimumfeelist'));
		MinimumTransactions::model()->deleteByPk($id);
	}
	
	public function action_getState(){

		$id = $_GET['id'];
		$states=State::model()->findAll('s_country_id=?',array($id));
		$options = '';
		if($states)
			$options .= "<option value=''>Select State</option>";
		else
			$options.='';

			foreach($states as $key=>$value){
				if($value)
					$options.="<option value='".$value->s_id."'>".$value->s_name."</option>";
			}
		echo $options;
	}

	public function action_getCity(){

		$id = $_GET['id'];
		$cities=City::model()->findAll('ci_state_id=?',array($id));
		$options = '';
		if($cities)
			$options .= "<option value=''>Select City</option>";
		else
			$options.='-1';

			foreach($cities as $key=>$value){
				if($value)
					$options.="<option value='".$value->ci_id."'>".$value->ci_name."</option>";
			}
		echo $options;
	}

	public function actionTransactioncashlist(){

		$model = new AgentTransactions('agent_transactions_search');
		$model->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 AgentTransactions::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Transactions Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['AgentTransactions']))
			$model->attributes=$_GET['AgentTransactions'];

		$this->render('transactioncashlist', array('model'=> $model));
	}


	public function actioninvoiceList(){

		$invoice = new Invoice('admin_invoices_search');
		$invoice->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 invoice::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Invoice deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['invoice']))
			$invoice->attributes=$_GET['invoice'];

		$this->render('invoicelist', array('invoice'=> $invoice));
	}

	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
			'postOnly + delete', // we only allow deletion via POST request
		);
	}
	
	public function actionLogout()
	{
		Yii::app()->user->logout();
		Yii::app()->user->setState("Token",null);
		$this->redirect(Common::admincreateUrl('index'));
	}
}