<?php

class AgentController extends Controller
{
	public $layout='//layouts/agentback/template';

	public function actionIndex()
	{
		$this->actionLogin();
	}


	public function actionProfile(){

		$profile = Agents::model()->findByPk(Yii::app()->user->getState('Aguid'));
		$profile->scenario ='update';
		if(isset($_POST['Agents'])){
			
			$profile->attributes=$_POST['Agents'];
			
			if($profile->validate())
			{
				if($profile->save()){

					Yii::app()->user->setFlash('success', 'Profile updated successfully. ');
					$this->redirect(Common::agentcreateUrl('profile'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Profile could not be updated successfully. ');
					$this->redirect(Common::agentcreateUrl('profile'));
				} 
			}
		}
		$this->render('profile',array('model' => $profile));
	}


	public function actionChangePassword(){

		$change = User::model()->findByPk(Yii::app()->user->getState('Userid'));
		$change->scenario ='PasswordUpdate';
		$change->user_password = '';
		if(isset($_POST['User'])){
			
			$change->attributes=$_POST['User'];
			
			if($change->validate())
			{
				$change->user_opensource = $_POST['User']['user_password'];
				$change->user_password = md5($_POST['User']['user_password']);

				if($change->update()){

					Yii::app()->user->setFlash('success', 'Password updated successfully. ');
					$this->actionlogout();
				} else {
					
					Yii::app()->user->setFlash('danger', 'Password could not be updated successfully. ');
					$this->redirect(Common::agentcreateUrl('changepassword'));
				} 
			} 
		}
		$this->render('change_password',array('change' => $change));
	}

	public function actionLogin()
	{

		$this->layout='//layouts/agentback/login-template';

		$model=new AgentLogin;
		$model->scenario = 'agentlogin';

		if(isset($_POST['AgentLogin']))
		{
			$model->attributes=$_POST['AgentLogin'];
			if($model->validate()){
				if($model->login())
				{
					Yii::app()->user->setFlash('success', 'You have signed in successfully. ');
					$this->redirect(Common::agentcreateUrl('dashboard'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Invalid email/password. ');
					$this->redirect(Common::agentcreateUrl('login'));
				} 
			}
		}
		$this->render('index',array('login'=>$model));
	}

	public function actionDashboard(){

		$this->render('dashboard');
	}

	public function actionTransactionlist(){

		$model = new AgentTransactions('agent_transactions_search');
		$model->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 AgentTransactions::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Transactions Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['AgentTransactions']))
			$model->attributes=$_GET['AgentTransactions'];

		$this->render('transactionlist', array('model'=> $model));
	}
	

	public function actionEdittransactiondetails($id){

		$transactions = AgentTransactions::model()->findByPk($id);
		$transactions->scenario='CodeUpdate';

		$expiredate = time();
		
		if(isset($_POST['AgentTransactions'])){
			
			$transactions->attributes=$_POST['AgentTransactions'];
			
			if($transactions->validate())
			{
				
				if($transactions->pcat_expires <= $expiredate){

					$transactions->pcat_status = 4;
				} else{
					$transactions->pcat_status = 1;
					
					if($transactions->pcat_type == 1){ // topup

						$BalanceAmt = Userdetails::model()->findAll("pcu_id = ?",array($transactions->pcat_userid));
						$updatedBalance = $BalanceAmt[0]['pcu_user_balance'] + $transactions->pcat_amount;

					} else { // withdrawal
						$BalanceAmt = Userdetails::model()->findAll("pcu_id = ?",array($transactions->pcat_userid));
						$updatedBalance = $BalanceAmt[0]['pcu_user_balance'] - $transactions->pcat_amount;

					}
					
					$criteria=new CDbCriteria;
					$criteria->condition = "pcu_id = '".$transactions->pcat_userid."'";
					$sql_insa = Userdetails::model()->updateAll(array('pcu_user_balance' => $updatedBalance),$criteria);
				}
				
				if($transactions->update()){

					Yii::app()->user->setFlash('success', 'Transactions Information updated successfully. ');
					$this->redirect(Common::agentcreateUrl('transactionlist'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Transactions Information could not be updated successfully. ');
					$this->redirect(Common::agentcreateUrl('transactionlist'));
				} 
			} 
		}
		$this->render('transactionform',array('model' => $transactions));
	}

	public function actionLogout()
	{
		Yii::app()->user->logout();
		Yii::app()->user->setState("Token",null);
		$this->redirect(Common::agentcreateUrl('index'));
	}	
}