<?php

class RegulatorController extends Controller
{
	public $layout='//layouts/regulatorback/template';

	public function actionIndex()
	{
		$this->actionLogin();
	}


	public function actionProfile(){

		$profile = Regulators::model()->findByPk(Yii::app()->user->getState('Rauid'));
		$profile->scenario ='update';
		if(isset($_POST['Regulators'])){
			
			$profile->attributes=$_POST['Regulators'];
			
			if($profile->validate())
			{
				if($profile->save()){

					Yii::app()->user->setFlash('success', 'Profile updated successfully. ');
					$this->redirect(Common::regulatorcreateUrl('profile'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Profile could not be updated successfully. ');
					$this->redirect(Common::regulatorcreateUrl('profile'));
				} 
			}
		}
		$this->render('profile',array('model' => $profile));
	}


	public function actionChangePassword(){

		$change = User::model()->findByPk(Yii::app()->user->getState('Userid'));
		$change->scenario ='PasswordUpdate';
		$change->user_password = '';
		if(isset($_POST['User'])){
			
			$change->attributes=$_POST['User'];
			
			if($change->validate())
			{
				$change->user_opensource = $_POST['User']['user_password'];
				$change->user_password = md5($_POST['User']['user_password']);

				if($change->update()){

					Yii::app()->user->setFlash('success', 'Password updated successfully. ');
					$this->actionlogout();
				} else {
					
					Yii::app()->user->setFlash('danger', 'Password could not be updated successfully. ');
					$this->redirect(Common::regulatorcreateUrl('changepassword'));
				} 
			} 
		}
		$this->render('change_password',array('change' => $change));
	}

	public function actionLogin()
	{

		$this->layout='//layouts/regulatorback/login-template';

		$model=new RegulatorLogin;
		$model->scenario = 'regulatorlogin';

		if(isset($_POST['RegulatorLogin']))
		{
			$model->attributes=$_POST['RegulatorLogin'];
			if($model->validate()){
				if($model->login())
				{
					Yii::app()->user->setFlash('success', 'You have signed in successfully. ');
					$this->redirect(Common::regulatorcreateUrl('dashboard'));
				} else {
					
					Yii::app()->user->setFlash('danger', 'Invalid email/password. ');
					$this->redirect(Common::regulatorcreateUrl('login'));
				} 
			}
		} 
		$this->render('index',array('login'=>$model));
	}

	public function actionDashboard(){

		$this->render('dashboard');
	}

	public function actionTransactionlist(){

		$model = new Transactions('admin_transactions_search');
		$model->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 Transactions::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Transactions Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['Transactions']))
			$model->attributes=$_GET['Transactions'];

		$this->render('transactionlist', array('model'=> $model));
	}


	public function actionTransactioncashlist(){

		$model = new AgentTransactions('agent_transactions_search');
		$model->unsetAttributes(); // clear any default values

		if(isset($_POST['id']) && is_array($_POST['id']) ){

			$filedIds = implode(',', $_POST['id']);
			
			foreach ($_POST['id'] as $sd_id)
			{
				 AgentTransactions::model()->deleteByPk($sd_id);
			}
			Yii::app()->user->setFlash('success'," Transactions Information deleted successfully. ");

		}else if(isset($_POST['id']) && is_array($_POST['id']) ){
			Yii::app()->user->setFlash('danger', ' Please select any one action. ');
		} 
		unset($_POST['id']);

		if(isset($_GET['AgentTransactions']))
			$model->attributes=$_GET['AgentTransactions'];

		$this->render('transactioncashlist', array('model'=> $model));
	}
	
	public function actionLogout()
	{
		Yii::app()->user->logout();
		Yii::app()->user->setState('Rauser',null);
		Yii::app()->user->setState('Rauid',null);
		Yii::app()->user->setState('Display',null);
		Yii::app()->user->setState('Userid',null);
		Yii::app()->user->setState('Token',null);
		Yii::app()->user->setState('UserType',null);
		Yii::app()->session->clear();
		$this->redirect(Common::regulatorcreateUrl('index'));
	}	
}