<?php

/**
 * Iverest Ltd. (http://www.iverest.com)
 *
 * CMPIRequest.php
 * Version 1.0 25/04/2014
 * 
 */

abstract class CMPIRequest {
	
	protected $response = null;
	protected $centinelClient = null;
	protected $fields = array();
	
	public function __construct() {}
	
	public function setField($field, $value) {
		$this->fields[$field] = $value;
		return $this;
	}
	
	public function setFields(array $fields) {
		if (!is_array($fields)) {
			$fields = (array) $fields;
		}
		foreach ($fields as $field => $value) {
			$this->setField($field, $value);
		}
		return $this;
	}
	
	public function setCentinelClient(CentinelClient $centinelClient) {
		$this->centinelClient = $centinelClient;
		return $this;
	}
	
	public function setResponse(CMPIResponse $response) {
		$this->response = $response;
		return $this;
	}
	
	abstract public function send($url);
	
}