<?php

/**
 * This is the model class for table "pc_minimum_transactions".
 *
 * The followings are the available columns in table 'pc_minimum_transactions':
 * @property integer $pcmt_id
 * @property string $pcmt_name
 * @property double $pcmt_value
 * @property double $pcmt_percentage
 * @property integer $pcmt_status
 */
class MinimumTransactions extends CActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'pc_minimum_transactions';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('pcmt_name', 'unique'),
			array('pcmt_name', 'required'),
			array('pcmt_value, pcmt_percentage', 'numerical'),
			array('pcmt_name', 'length', 'max'=>32),
			array('pcmt_id, pcmt_name, pcmt_value, pcmt_percentage, pcmt_status', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'pcmt_id' => 'Pcmt',
			'pcmt_name' => 'Name',
			'pcmt_value' => 'Value (JMD)',
			'pcmt_percentage' => 'Percentage (%)',
			'pcmt_status' => 'Status',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		// @todo Please modify the following code to remove attributes that should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('pcmt_id',$this->pcmt_id);
		$criteria->compare('pcmt_name',$this->pcmt_name,true);
		$criteria->compare('pcmt_value',$this->pcmt_value);
		$criteria->compare('pcmt_percentage',$this->pcmt_percentage);
		$criteria->compare('pcmt_status',$this->pcmt_status);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
			'sort'=>array(
                        'defaultOrder'=>'pcmt_id DESC',
                    ),
		));
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return MinimumTransactions the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
