<?php

/**
 * This is the model class for table "pc_mycontacts".
 *
 * The followings are the available columns in table 'pc_mycontacts':
 * @property integer $pcmc_id
 * @property string $pcmc_email
 * @property integer $pcmc_uid
 */
class Mycontacts extends CActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'pc_mycontacts';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('pcmc_emailuser, pcmc_uid', 'required'),
			array('pcmc_uid', 'numerical', 'integerOnly'=>true),
			array('pcmc_emailuser', 'length', 'max'=>100),
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('pcmc_id, pcmc_emailuser, pcmc_uid', 'safe', 'on'=>'search'),
		);
	}

	public static function listData()
	{
		$listData = CHtml::listData(Mycontacts::model()->findAll('pcmc_uid =? ',array(Yii::app()->user->getState('Userid'))),'pcmc_id','pcmc_emailuser');
		return $listData;
	}
	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'pcmc_id' => 'Pcmc',
			'pcmc_email' => 'Email',
			'pcmc_uid' => 'Pcmc Uid',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		// @todo Please modify the following code to remove attributes that should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('pcmc_id',$this->pcmc_id);
		$criteria->compare('pcmc_email',$this->pcmc_email,true);
		$criteria->compare('pcmc_uid',$this->pcmc_uid);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
			'sort'=>array(
                        'defaultOrder'=>'pcmc_id DESC',
                    ),
		));
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return Mycontacts the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
