<?php

/**
 * This is the model class for table "pc_paysuh_order_data".
 *
 * The followings are the available columns in table 'pc_paysuh_order_data':
 * @property integer $id
 * @property integer $user_id
 * @property string $card_type
 * @property integer $order_id
 * @property double $camount
 * @property string $authcode
 * @property string $trans_id
 * @property string $message
 * @property integer $created_date
 */
class PaysuhOrderData extends CActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'pc_paysuh_order_data';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id, user_id, card_type, order_id, camount, authcode, trans_id, message, created_date', 'required'),
			array('id, user_id, order_id, created_date', 'numerical', 'integerOnly'=>true),
			array('camount', 'numerical'),
			array('card_type', 'length', 'max'=>10),
			array('authcode', 'length', 'max'=>25),
			array('trans_id', 'length', 'max'=>100),
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('id, user_id, card_type, order_id, camount, authcode, trans_id, message, created_date', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'user_id' => 'User',
			'card_type' => 'Card Type',
			'order_id' => 'Order',
			'camount' => 'Camount',
			'authcode' => 'Authcode',
			'trans_id' => 'Trans',
			'message' => 'Message',
			'created_date' => 'Created Date',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		// @todo Please modify the following code to remove attributes that should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id',$this->id);
		$criteria->compare('user_id',$this->user_id);
		$criteria->compare('card_type',$this->card_type,true);
		$criteria->compare('order_id',$this->order_id);
		$criteria->compare('camount',$this->camount);
		$criteria->compare('authcode',$this->authcode,true);
		$criteria->compare('trans_id',$this->trans_id,true);
		$criteria->compare('message',$this->message,true);
		$criteria->compare('created_date',$this->created_date);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
			'sort'=>array(
                        'defaultOrder'=>'id DESC',
                    ),
		));
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return PaysuhOrderData the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
